List cashier operations
curl --request GET \
--url https://api.example.com/v1/cashier-ui/operations \
--header 'Authorization: Bearer <token>' \
--header 'X-Cashier-Instance-Id: <x-cashier-instance-id>'import requests
url = "https://api.example.com/v1/cashier-ui/operations"
headers = {
"X-Cashier-Instance-Id": "<x-cashier-instance-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Cashier-Instance-Id': '<x-cashier-instance-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.example.com/v1/cashier-ui/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/cashier-ui/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Cashier-Instance-Id: <x-cashier-instance-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/cashier-ui/operations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/cashier-ui/operations")
.header("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/cashier-ui/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Cashier-Instance-Id"] = '<x-cashier-instance-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"error": "RATE_LIMITED",
"errorCode": "RATE_LIMITED",
"message": "Too many requests. Retry after the indicated delay.",
"status": false,
"statusCode": 429
}{
"error": "DUPLICATE_ORDER_ID",
"errorCode": "DUPLICATE_ORDER_ID",
"message": "A transaction with orderId \"A-1001\" already exists for this merchant",
"status": false,
"statusCode": 409,
"existingTransactionId": "tr_x8k2p0q5scocndpejk0nud75q",
"fields": [
"customer.email",
"customer.country"
],
"idempotencyKey": "0b6f2c1e-4c7a-4a43-9a51-6a4b1d7e9f10",
"orderId": "A-1001"
}Cashier player
List cashier operations
GET
/
v1
/
cashier-ui
/
operations
List cashier operations
curl --request GET \
--url https://api.example.com/v1/cashier-ui/operations \
--header 'Authorization: Bearer <token>' \
--header 'X-Cashier-Instance-Id: <x-cashier-instance-id>'import requests
url = "https://api.example.com/v1/cashier-ui/operations"
headers = {
"X-Cashier-Instance-Id": "<x-cashier-instance-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Cashier-Instance-Id': '<x-cashier-instance-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.example.com/v1/cashier-ui/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/cashier-ui/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Cashier-Instance-Id: <x-cashier-instance-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/cashier-ui/operations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/cashier-ui/operations")
.header("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/cashier-ui/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Cashier-Instance-Id"] = '<x-cashier-instance-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"error": "RATE_LIMITED",
"errorCode": "RATE_LIMITED",
"message": "Too many requests. Retry after the indicated delay.",
"status": false,
"statusCode": 429
}{
"error": "DUPLICATE_ORDER_ID",
"errorCode": "DUPLICATE_ORDER_ID",
"message": "A transaction with orderId \"A-1001\" already exists for this merchant",
"status": false,
"statusCode": 409,
"existingTransactionId": "tr_x8k2p0q5scocndpejk0nud75q",
"fields": [
"customer.email",
"customer.country"
],
"idempotencyKey": "0b6f2c1e-4c7a-4a43-9a51-6a4b1d7e9f10",
"orderId": "A-1001"
}